* * *

Author Topic: [Solved]i can't install VirtualTree??  (Read 865 times)

majid.ebru

  • Sr. Member
  • ****
  • Posts: 352
[Solved]i can't install VirtualTree??
« on: February 13, 2018, 02:01:35 pm »
Hi

i can't install VirtualTree??

can someone help me??/
« Last Edit: February 16, 2018, 11:19:00 am by majid.ebru »

Pascal

  • Hero Member
  • *****
  • Posts: 643
Re: i can't install VirtualTree??
« Reply #1 on: February 13, 2018, 02:11:59 pm »
You are probably missing generics support. Which compiler version are you using?
laz trunk - fpc trunk 32bit - Windows 10 Pro x64 (1803)

majid.ebru

  • Sr. Member
  • ****
  • Posts: 352
Re: i can't install VirtualTree??
« Reply #2 on: February 13, 2018, 02:43:06 pm »
Lazarus 1.8.0RC5

windows XP SP3

at first , i install "lclextensions-0.6.1.lpk"

then i try to install "VirtualTreeView" from---> (.../VirtualTreeView-Lazarus-lazarus_master/source/virtualtreeview_package.lpk)

taazz

  • Hero Member
  • *****
  • Posts: 5051
Re: i can't install VirtualTree??
« Reply #3 on: February 13, 2018, 03:18:30 pm »
Lazarus 1.8.0RC5

windows XP SP3

at first , i install "lclextensions-0.6.1.lpk"

then i try to install "VirtualTreeView" from---> (.../VirtualTreeView-Lazarus-lazarus_master/source/virtualtreeview_package.lpk)
open online package manager and install it from there. what you show might be as simple as a conflict between .inc files or a missing {$Mode delphi} directive or as complicated as a corruption of some kind. Try the menu packages\online package manager and install it from there so we can have a common ground.
Good judgement is the result of experience … Experience is the result of bad judgement.

OS : Windows 7 64 bit
Laz: Lazarus 1.4.4 FPC 2.6.4 i386-win32-win32/win64

rvk

  • Hero Member
  • *****
  • Posts: 3429
Re: i can't install VirtualTree??
« Reply #4 on: February 13, 2018, 04:58:49 pm »
Lazarus 1.8.0RC5 has FPC 3.0.4.
The newest version 6.x from VirtualTreeView (which you downloaded) clearly stated it needs fpc 3.1 (trunk) or newer.
See https://github.com/blikblum/VirtualTreeView-Lazarus

Using the 5.5.3_R1 from online package manager (or from github releases) should work fine.

On trunk, VirtualTreeView 6.0.0 only needs one change (somewhere with Exit(nil)) to compile.

majid.ebru

  • Sr. Member
  • ****
  • Posts: 352
Re: i can't install VirtualTree??
« Reply #5 on: February 16, 2018, 11:18:42 am »
@rvk :)

Thank you

i installed it

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus